Loading...
Searching...
No Matches
fastjet::DnnPlane Class Reference

More...

`#include <fastjet/internal/DnnPlane.hh>`

Inheritance diagram for fastjet::DnnPlane:
[legend]
Collaboration diagram for fastjet::DnnPlane:
[legend]

## Public Member Functions

| DnnPlane ()
| empty initaliser
| DnnPlane (const std::vector< EtaPhi > &, const bool &verbose=false)
| Initialiser from a set of points on an Eta-Phi plane, where both eta and phi can have arbitrary ranges.
int | NearestNeighbourIndex (const int ii) const
| Returns the index of the nearest neighbour of point labelled by ii (assumes ii is valid).
double | NearestNeighbourDistance (const int ii) const
| Returns the distance to the nearest neighbour of point labelled by index ii (assumes ii is valid).
bool | Valid (const int index) const
| Returns true iff the given index corresponds to a point that exists in the DNN structure (meaning that it has been added, and not removed in the meantime).
void | RemoveAndAddPoints (const std::vector< int > &indices_to_remove, const std::vector< EtaPhi > &points_to_add, std::vector< int > &indices_added, std::vector< int > &indices_of_updated_neighbours)

remove the points labelled by the vector indices_to_remove, and add the points specified by the vector points_to_add (corresponding indices will be calculated automatically); the idea behind this routine is that the points to be added will somehow be close to the one or other of the points being removed and this can be used by the implementation to provide hints for inserting the new points in whatever structure it is using.

EtaPhi | etaphi (const int i) const
| returns the EtaPhi of point with index i.
double | eta (const int i) const
| returns the eta point with index i.
double | phi (const int i) const
| returns the phi point with index i.
Public Member Functions inherited from fastjet::DynamicNearestNeighbours
void | RemovePoint (const int index, std::vector< int > &indices_of_updated_neighbours)
| Remove the point labelled by index and return the list of points whose nearest neighbours have changed in the process.
void | RemoveCombinedAddCombination (const int index1, const int index2, const EtaPhi &newpoint, int &index3, std::vector< int > &indices_of_updated_neighbours)
| Removes the two points labelled by index1, index2 and adds in the a point with coordinates newpoint; it returns an index for the new point (index 3) and a std::vector of indices of neighbours whose nearest neighbour has changed (the list includes index3, i.e.
virtual | ~DynamicNearestNeighbours ()
| destructor – here it is now implemented

## Detailed Description

Definition at line 56 of file DnnPlane.hh.

## Constructor & Destructor Documentation

## DnnPlane()

fastjet::DnnPlane::DnnPlane | ( |  | ) |

inline

empty initaliser

Definition at line 59 of file DnnPlane.hh.

## Member Function Documentation

## NearestNeighbourIndex()

int fastjet::DnnPlane::NearestNeighbourIndex | ( | const int | ii | ) | const

inline virtual

Returns the index of the nearest neighbour of point labelled by ii (assumes ii is valid).

Implements fastjet::DynamicNearestNeighbours.

Definition at line 248 of file DnnPlane.hh.

## NearestNeighbourDistance()

double fastjet::DnnPlane::NearestNeighbourDistance | ( | const int | ii | ) | const

inline virtual

Returns the distance to the nearest neighbour of point labelled by index ii (assumes ii is valid).

Implements fastjet::DynamicNearestNeighbours.

Definition at line 251 of file DnnPlane.hh.

## Valid()

bool fastjet::DnnPlane::Valid | ( | const int | index | ) | const

inline virtual

Returns true iff the given index corresponds to a point that exists in the DNN structure (meaning that it has been added, and not removed in the meantime).

Implements fastjet::DynamicNearestNeighbours.

Definition at line 254 of file DnnPlane.hh.

## RemoveAndAddPoints()

void fastjet::DnnPlane::RemoveAndAddPoints | ( | const std::vector< int > & | indices_to_remove,
|  | const std::vector< EtaPhi > & | points_to_add,
|  | std::vector< int > & | indices_added,
|  | std::vector< int > & | indices_of_updated_neighbours )

virtual

remove the points labelled by the vector indices_to_remove, and add the points specified by the vector points_to_add (corresponding indices will be calculated automatically); the idea behind this routine is that the points to be added will somehow be close to the one or other of the points being removed and this can be used by the implementation to provide hints for inserting the new points in whatever structure it is using.

In a kt-algorithm the points being added will be a result of a combination of the points to be removed – hence the proximity is (more or less) guaranteed.

Implements fastjet::DynamicNearestNeighbours.

Definition at line 146 of file DnnPlane.cc.

## etaphi()

EtaPhi fastjet::DnnPlane::etaphi | ( | const int | i | ) | const

inline

returns the EtaPhi of point with index i.

Definition at line 264 of file DnnPlane.hh.

## eta()

double fastjet::DnnPlane::eta | ( | const int | i | ) | const

inline

returns the eta point with index i.

Definition at line 268 of file DnnPlane.hh.

## phi()

double fastjet::DnnPlane::phi | ( | const int | i | ) | const

inline

returns the phi point with index i.

Definition at line 271 of file DnnPlane.hh.

The documentation for this class was generated from the following files:

- include/fastjet/internal/DnnPlane.hh
- src/DnnPlane.cc